Bug 463125 - German keyboard layout wrong
German keyboard layout wrong
Product: Fedora
Classification: Fedora
Component: kbd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-09-21 21:16 EDT by Dennis Jacobfeuerborn
Modified: 2008-11-19 16:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-19 16:58:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dennis Jacobfeuerborn 2008-09-21 21:16:53 EDT
The german keyboard layout seems to be broken. The umlauts and possibly other keys result in special characters that are not used in the regular german layout such as:

Hittint "ö" results in "Ô"
Hittint "ü" results in "Á"
Hittint "ä" results in "Ä"

[dennis@nexus ~]$ cat /etc/sysconfig/keyboard 
Comment 1 Fabian Affolter 2008-10-08 09:13:38 EDT
With kbd-1.12-31.fc9.i386 it works fine for me. 

ö = ö
ä = ä
ü = ü
Comment 2 Dennis Jacobfeuerborn 2008-10-08 16:45:24 EDT
Hm, I've got the same version installed. What would be the proper way to debug this? I'm not sure which tools to use to find out which keyboard layout/font I'm actually running or how to change them.
Comment 3 Dennis Jacobfeuerborn 2008-10-09 10:25:46 EDT
I tried the following both on my rawhide machine with the problem and an old FC7 laptopt:

loadkeys /lib/kbd/keymaps/i386/qwerty/defkeymap.map.gz

Result: I get a regular "en" layout on both machines (i.e. shift+Ä gives me a double quote " which is correct).

loadkeys /lib/kbd/keymaps/i386/qwertz/de-latin1-nodeadkeys.map.gz

Result: On the FC7 laptop I get the correct umlaut mapping but on my rawhide machine I get the broken mapping mentioned in the initial bug report.
Comment 4 Dennis Jacobfeuerborn 2008-11-19 16:58:00 EST
I've tested this again after a few weeks of updates and the keyboard layout works correctly now.

Note You need to log in before you can comment on or make changes to this bug.